# mb_ereg

(PHP 4 >= 4.2.0, PHP 5, PHP 7)

mb_ereg — Regular expression match with multibyte support

### Description

mb_ereg ( string `$pattern` , string `$string` [, array `&$regs` ] ) : int

Executes the regular expression match with multibyte support.

### Parameters

`pattern`

  The search pattern.

`string`

  The search string.

`regs`

  If matches are found for parenthesized substrings of `pattern` and the function is called with the third argument `regs`, the matches will be stored in the elements of the array `regs`. If no matches are found, `regs` is set to an empty array.

  $regs[1] will contain the substring which starts at the first left parenthesis; $regs[2] will contain the substring starting at the second, and so on. $regs[0] will contain a copy of the complete string matched.

### Return Values

Returns the byte length of the matched string if a match for `pattern` was found in `string`, or `FALSE` if no matches were found or an error occurred.

If the optional parameter `regs` was not passed or the length of the matched string is 0, this function returns 1.

### Changelog

Version | Description
--- | ---
7.1.0 | mb_ereg() will now set `regs` to an empty array, if nothing matched. Formerly, `regs` was not modified in that case.

### Notes

> Note:

> The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

### See Also

- mb_regex_encoding() - Set/Get character encoding for multibyte regex
- mb_eregi() - Regular expression match ignoring case with multibyte support